Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes

# resource Class Reference

Inheritance diagram for resource:

List of all members.

## Public Member Functions
def | __init__
def | __cmp__
def | __repr__
def | asBinary
def | asFilter
def | asSource
def | contents
def | dependencies
## Public Attributes
| name
| path
| typ

## Detailed Description

    Base class for all resources.

        contents() returns of list of what's contained (eg files in dirs)
        dependencies() for Python resources returns a list of moduleresources
         and binaryresources

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | name,
|  |  | path,
|  |  | typ
| ) |  |

    NAME is the logical name of the resource.
       PATH is the full path to the resource.
       TYP is the type code.
       No editting or sanity checks.

## Member Function Documentation

def __cmp__ | ( |  | self,
|  |  | other
| ) |  |

def __repr__ | ( |  | self | ) |

def asBinary | ( |  | self | ) |

    Return self in binary form.

       Base implementation returns self

Reimplemented in moduleresource.

def asFilter | ( |  | self | ) |

    Create a tocfilter based on self.

       Pure virtual

Reimplemented in scriptresource, binaryresource, dataresource, dirresource, and pkgresource.

def asSource | ( |  | self | ) |

    Return self in source form.

       Base implementation returns self

Reimplemented in scriptresource, and moduleresource.

def contents | ( |  | self | ) |

    A list of resources within this resource.

       Overridable.
       Base implementation returns [self]

def dependencies | ( |  | self | ) |

    A list of resources this resource requires.

       Overridable.
       Base implementation returns []

Reimplemented in scriptresource, binaryresource, and pkgresource.

## Member Data Documentation

name

path

typ

All Classes Namespaces Functions Variables Enumerations Enumerator Properties